commit:     6406cddb4b0070d5b8027fb3992a3655883ded8e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 14 15:30:55 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Mar 14 15:30:55 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6406cddb

games-fps/crispy-doom: Add a live 9999 ebuild

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 games-fps/crispy-doom/crispy-doom-9999.ebuild | 62 +++++++++++++++++++++++++++
 1 file changed, 62 insertions(+)

diff --git a/games-fps/crispy-doom/crispy-doom-9999.ebuild 
b/games-fps/crispy-doom/crispy-doom-9999.ebuild
new file mode 100644
index 000000000000..0a98a6790eda
--- /dev/null
+++ b/games-fps/crispy-doom/crispy-doom-9999.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit autotools git-r3 prefix python-any-r1 xdg
+
+DESCRIPTION="A limit-removing enhanced-resolution Doom source port based on 
Chocolate Doom"
+HOMEPAGE="https://github.com/fabiangreffrath/crispy-doom/";
+EGIT_REPO_URI="https://github.com/fabiangreffrath/crispy-doom.git";
+
+LICENSE="BSD GPL-2+"
+SLOT="0"
+IUSE="fluidsynth libsamplerate +midi png truecolor vorbis zlib"
+REQUIRE_USE="fluidsynth? ( midi )"
+
+DEPEND="
+       media-libs/libsdl2[video]
+       media-libs/sdl2-mixer[fluidsynth?,midi?,vorbis?]
+       media-libs/sdl2-net
+       libsamplerate? ( media-libs/libsamplerate )
+       png? ( media-libs/libpng:= )
+       zlib? ( virtual/zlib:= )
+"
+RDEPEND="${DEPEND}"
+# ${PYTHON_DEPS} for bash-completion and docs (manpages)
+BDEPEND="${PYTHON_DEPS}"
+
+src_prepare() {
+       default
+       hprefixify src/d_iwad.c
+       eautoreconf
+}
+
+src_configure() {
+       local myconf=(
+               --enable-bash-completion
+               --enable-doc
+               --disable-fonts
+               --disable-icons
+               $(use_with libsamplerate)
+               $(use_with png libpng)
+               --enable-sdl2mixer
+               --enable-sdl2net
+               $(use_with fluidsynth)
+               $(use_enable truecolor)
+               $(use_with zlib)
+               --disable-zpool
+       )
+
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       local DOCS=()
+       default
+       mv "${ED}"/usr/share/doc/crispy-{doom,heretic,hexen,strife}/* \
+               "${ED}"/usr/share/doc/${PF}/ || die
+       rmdir "${ED}"/usr/share/doc/crispy-{doom,heretic,hexen,strife} || die
+}

Reply via email to